Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.cloudwatch.model
Class GetMetricStatisticsResult

    java.lang.Object
      com.amazonaws.services.cloudwatch.model.GetMetricStatisticsResult

    public class GetMetricStatisticsResult

extends Object

Get Metric Statistics Result

Constructor Summary
`GetMetricStatisticsResult()`

Method Summary
`List<Datapoint>` | `getDatapoints()` Returns the value of the Datapoints property for this object.
`String` | `getLabel()` Returns the value of the Label property for this object.
`void` | `setDatapoints(Collection<Datapoint> datapoints)` Sets the value of the Datapoints property for this object.
`void` | `setLabel(String label)` Sets the value of the Label property for this object.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`GetMetricStatisticsResult` | `withDatapoints(Collection<Datapoint> datapoints)` Sets the value of the Datapoints property for this object.
`GetMetricStatisticsResult` | `withDatapoints(Datapoint... datapoints)` Sets the value of the Datapoints property for this object.
`GetMetricStatisticsResult` | `withLabel(String label)` Sets the value of the Label property for this object.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GetMetricStatisticsResult

    public GetMetricStatisticsResult()

Method Detail

### getLabel

    public String getLabel()

  Returns the value of the Label property for this object.

  Returns:
    The value of the Label property for this object.

### setLabel

    public void setLabel(String label)

  Sets the value of the Label property for this object.

  Parameters:
    `label` - The new value for the Label property for this object.

### withLabel

    public GetMetricStatisticsResult withLabel(String label)

  Sets the value of the Label property for this object.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `label` - The new value for the Label property for this object.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getDatapoints

    public List<Datapoint> getDatapoints()

  Returns the value of the Datapoints property for this object.

  Returns:
    The value of the Datapoints property for this object.

### setDatapoints

    public void setDatapoints(Collection<Datapoint> datapoints)

  Sets the value of the Datapoints property for this object.

  Parameters:
    `datapoints` - The new value for the Datapoints property for this object.

### withDatapoints

    public GetMetricStatisticsResult withDatapoints(Datapoint... datapoints)

  Sets the value of the Datapoints property for this object.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `datapoints` - The new value for the Datapoints property for this object.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withDatapoints

    public GetMetricStatisticsResult withDatapoints(Collection<Datapoint> datapoints)

  Sets the value of the Datapoints property for this object.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `datapoints` - The new value for the Datapoints property for this object.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.